Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(27)

Issue 2780623003: Enable -Wdeprecated-register (except on CrOS and 32-bit Linux). (Closed)

Created:
2 years, 7 months ago by Nico
Modified:
2 years, 7 months ago
CC:
chromium-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Enable -Wdeprecated-register (except on CrOS and 32-bit Linux). No behavior change. BUG=255186, 705812 Review-Url: https://codereview.chromium.org/2780623003 Cr-Original-Original-Commit-Position: refs/heads/master@{#459973} Committed: https://chromium.googlesource.com/chromium/src/+/76ad12fee73e4512dbb9c7a79ffb6cec33fae6f2 Review-Url: https://codereview.chromium.org/2780623003 Cr-Original-Commit-Position: refs/heads/master@{#460879} Committed: https://chromium.googlesource.com/chromium/src/+/a46872ca96d862816f993c16d6c270af26290247 Review-Url: https://codereview.chromium.org/2780623003 Cr-Commit-Position: refs/heads/master@{#461102} Committed: https://chromium.googlesource.com/chromium/src/+/755d274e7b3e893719322489b07a5d929328caa0

Patch Set 1 #

Patch Set 2 : Enable -Wdeprecated-register. #

Patch Set 3 : . #

Patch Set 4 : . #

Patch Set 5 : . #

Patch Set 6 : ...except on cros #

Patch Set 7 : how do i syntax #

Patch Set 8 : 32-bit linux #

Total comments: 2

Patch Set 9 : rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+126 lines, -75 lines) Patch
M base/third_party/dmg_fp/README.chromium View 1 1 chunk +1 line, -0 lines 0 comments Download
M base/third_party/dmg_fp/g_fmt.cc View 1 1 chunk +3 lines, -3 lines 0 comments Download
M build/config/compiler/BUILD.gn View 1 2 3 4 5 6 7 8 2 chunks +9 lines, -5 lines 0 comments Download
M third_party/WebKit/Source/build/scripts/make_css_property_names.py View 1 2 chunks +50 lines, -40 lines 0 comments Download
M third_party/WebKit/Source/build/scripts/make_css_value_keywords.py View 1 2 chunks +25 lines, -17 lines 0 comments Download
M third_party/WebKit/Source/platform/ColorData.gperf View 1 2 chunks +14 lines, -3 lines 0 comments Download
M third_party/libaddressinput/BUILD.gn View 1 2 3 4 5 6 7 6 chunks +21 lines, -7 lines 0 comments Download
M third_party/mesa/BUILD.gn View 1 2 3 1 chunk +3 lines, -0 lines 0 comments Download

Messages

Total messages: 73 (48 generated)
Nico
2 years, 7 months ago (2017-03-27 22:27:15 UTC) #12
dcheng
lgtm
2 years, 7 months ago (2017-03-27 23:01:23 UTC) #17
Nico
rouslan: addressinput kbr: mesa It'd be good if you could work with your respective upstreams ...
2 years, 7 months ago (2017-03-27 23:42:04 UTC) #23
Ken Russell (switch to Gerrit)
lgtm sugoi@ and capn@ are working on incorporating SwiftShader, which will completely replace Mesa. This ...
2 years, 7 months ago (2017-03-28 00:18:14 UTC) #24
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2780623003/80001
2 years, 7 months ago (2017-03-28 01:29:48 UTC) #29
commit-bot: I haz the power
Committed patchset #5 (id:80001) as https://chromium.googlesource.com/chromium/src/+/76ad12fee73e4512dbb9c7a79ffb6cec33fae6f2
2 years, 7 months ago (2017-03-28 01:36:31 UTC) #32
satorux1
I got this error: crbug.com/705812
2 years, 7 months ago (2017-03-28 01:58:23 UTC) #33
satorux1
A revert of this CL (patchset #5 id:80001) has been created in https://codereview.chromium.org/2778053003/ by satorux@chromium.org. ...
2 years, 7 months ago (2017-03-28 02:28:26 UTC) #34
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2780623003/100001
2 years, 7 months ago (2017-03-28 15:00:09 UTC) #38
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_ozone_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_ozone_rel_ng/builds/349615) linux_chromium_chromeos_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, ...
2 years, 7 months ago (2017-03-28 15:04:11 UTC) #40
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2780623003/120001
2 years, 7 months ago (2017-03-28 15:15:34 UTC) #43
commit-bot: I haz the power
Try jobs failed on following builders: android_arm64_dbg_recipe on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_arm64_dbg_recipe/builds/236199)
2 years, 7 months ago (2017-03-28 15:53:53 UTC) #46
please use gerrit instead
LGTM. Filed an issue upstream: https://github.com/googlei18n/libaddressinput/issues/121
2 years, 7 months ago (2017-03-28 16:16:39 UTC) #47
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2780623003/120001
2 years, 7 months ago (2017-03-30 17:05:16 UTC) #49
commit-bot: I haz the power
Committed patchset #7 (id:120001) as https://chromium.googlesource.com/chromium/src/+/a46872ca96d862816f993c16d6c270af26290247
2 years, 7 months ago (2017-03-30 21:17:09 UTC) #52
findit-for-me
A revert of this CL (patchset #7 id:120001) has been created in https://codereview.chromium.org/2786273002/ by findit-for-me@appspot.gserviceaccount.com. ...
2 years, 7 months ago (2017-03-30 22:49:15 UTC) #53
Lei Zhang
Failed on 32-bit Linux bots: https://build.chromium.org/p/chromium.linux/builders/Linux%20Builder%20%28dbg%29%2832%29/builds/65396 FAILED: obj/third_party/pdfium/fpdfdoc/cpvt_fontmap.o In file included from ../../third_party/pdfium/core/fpdfdoc/cpvt_fontmap.cpp:9: In file ...
2 years, 7 months ago (2017-03-30 23:36:59 UTC) #55
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2780623003/140001
2 years, 7 months ago (2017-03-31 00:42:40 UTC) #59
Lei Zhang
https://codereview.chromium.org/2780623003/diff/140001/build/config/compiler/BUILD.gn File build/config/compiler/BUILD.gn (right): https://codereview.chromium.org/2780623003/diff/140001/build/config/compiler/BUILD.gn#newcode1075 build/config/compiler/BUILD.gn:1075: # TODO(thakis): Remove from 32-bit Linux eventually, https://707084 Missing ...
2 years, 7 months ago (2017-03-31 00:55:52 UTC) #60
Nico
https://codereview.chromium.org/2780623003/diff/140001/build/config/compiler/BUILD.gn File build/config/compiler/BUILD.gn (right): https://codereview.chromium.org/2780623003/diff/140001/build/config/compiler/BUILD.gn#newcode1075 build/config/compiler/BUILD.gn:1075: # TODO(thakis): Remove from 32-bit Linux eventually, https://707084 On ...
2 years, 7 months ago (2017-03-31 01:22:59 UTC) #61
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/412345)
2 years, 7 months ago (2017-03-31 03:03:25 UTC) #63
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2780623003/140001
2 years, 7 months ago (2017-03-31 10:08:55 UTC) #65
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/399736)
2 years, 7 months ago (2017-03-31 10:16:45 UTC) #67
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2780623003/160001
2 years, 7 months ago (2017-03-31 10:32:01 UTC) #70
commit-bot: I haz the power
2 years, 7 months ago (2017-03-31 12:52:57 UTC) #73
Message was sent while issue was closed.
Committed patchset #9 (id:160001) as
https://chromium.googlesource.com/chromium/src/+/755d274e7b3e893719322489b07a...

Powered by Google App Engine
This is Rietveld 408576698